﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="BIOS Configuration Utility" Publisher="Hewlett-Packard" Version="" ReleaseDate="">
    <UserCategories></UserCategories>
    <SoftwareCategories></SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="" Architecture="x86" Technology="" DetectionMethod="" ContentLocation="\\server01\sources$\Hewlett Packard Corp\BIOS Configuration Utility\archive\{SoftwareVersion}\win_{Architecture}\">
    <UninstallCommand>Deploy-Application.exe UNINSTALL</UninstallCommand>
    <InstallCommand>Deploy-Application.exe INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$DisplayName = '{DetectionName}'

$DisplayVersion = [version]'{DetectionVersion}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKey = (Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"})

if($RegKey) {

    if([version]$RegKey.GetValue('DisplayVersion') -ge $DisplayVersion) {

        return $true   
    }
}</TEXT>
    </DetectionScript>
  </DeploymentType>
</Application>